Funis
Update a pipeline
PATCH
/
v1
/
pipelines
/
{id}
Update a pipeline
curl --request PATCH \
--url https://api4.kinbox.com.br/v1/pipelines/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"position": 123,
"stages": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"requireds": [
"<string>"
]
}
],
"rules": [
{
"ruleId": "<string>",
"max": 123,
"stageId": "<string>"
}
],
"cadence": [
{
"stageId": "<string>",
"task": {},
"id": "<string>"
}
],
"lostReasons": [
"<string>"
],
"requiredCustomFieldIds": [
"<string>"
],
"authorId": 123
}
'import requests
url = "https://api4.kinbox.com.br/v1/pipelines/{id}"
payload = {
"name": "<string>",
"position": 123,
"stages": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"requireds": ["<string>"]
}
],
"rules": [
{
"ruleId": "<string>",
"max": 123,
"stageId": "<string>"
}
],
"cadence": [
{
"stageId": "<string>",
"task": {},
"id": "<string>"
}
],
"lostReasons": ["<string>"],
"requiredCustomFieldIds": ["<string>"],
"authorId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
position: 123,
stages: [{id: '<string>', name: '<string>', color: '<string>', requireds: ['<string>']}],
rules: [{ruleId: '<string>', max: 123, stageId: '<string>'}],
cadence: [{stageId: '<string>', task: {}, id: '<string>'}],
lostReasons: ['<string>'],
requiredCustomFieldIds: ['<string>'],
authorId: 123
})
};
fetch('https://api4.kinbox.com.br/v1/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"position": 123,
"stages": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"requireds": [
"<string>"
]
}
],
"rules": [
{
"ruleId": "<string>",
"max": 123,
"stageId": "<string>"
}
],
"cadence": [
{
"stageId": "<string>",
"task": {},
"id": "<string>"
}
],
"lostReasons": [
"<string>"
],
"requiredCustomFieldIds": [
"<string>"
],
"privacy": {
"groupIds": [
"<string>"
],
"userId": "<string>"
},
"authorId": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Nome do funil
Posição do funil
Estágios do funil
Show child attributes
Show child attributes
Regras do funil
Show child attributes
Show child attributes
Cadência associada ao funil
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
Nome do funil
Posição do funil
Estágios do funil
Show child attributes
Show child attributes
Regras do funil
Show child attributes
Show child attributes
Cadência associada ao funil
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update a pipeline
